package com.qmth.demo.api.client;

import com.qmth.boot.core.retrofit.annotatioin.RetrofitClient;
import okhttp3.MultipartBody;
import retrofit2.http.Multipart;
import retrofit2.http.POST;
import retrofit2.http.Part;
import retrofit2.http.Query;

@RetrofitClient(baseUrl = "http://127.0.01:8080/api/file/")
public interface FileTestClient {

    @POST("upload")
    @Multipart
    String upload(@Query("path") String path, @Query("md5") String md5, @Part MultipartBody.Part file);

    @POST("server")
    String getServer();
}
