package com.qmth.demo.api.service;

import com.qmth.boot.core.concurrent.annotation.Lockable;
import com.qmth.demo.api.db.User;
import com.qmth.demo.api.db.UserMapper;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;

@Service
public class DemoLockService {

    @Resource
    private UserMapper userMapper;

    @Lockable(name = "user", key = "#user.name")
    @Transactional
    public User insert(User user) {
        userMapper.insert(user);
        return user;
    }
}
